using System.Collections.Generic;
using Library;

namespace AppConfig
{
    public class Base
    {
        public static string ApiKey = "G6H7@J8%";
        public static string SqlConnStr = ConfigurationManager.AppSettings["SqlConnStr"].ToString();
        public static string SourceSqlConnStr = ConfigurationManager.AppSettings["SourceSqlConnStr"].ToString();
        public static string RmSourceSqlConnStr = ConfigurationManager.AppSettings["RmSourceSqlConnStr"].ToString();
        public static string JavaStatSqlConnStr = ConfigurationManager.AppSettings["JavaStatSqlConnStr"].ToString();
        public static string Host = Library.ConfigurationManager.AppSettings["Host"].ToString();
        public static string SourceHost = Library.ConfigurationManager.AppSettings["SourceHost"].ToString();
        public static string JavaPushHost = Library.ConfigurationManager.AppSettings["JavaPushHost"].ToString();
        public static string Database = Library.ConfigurationManager.AppSettings["Database"].ToString();
        public static string defaultImage = Library.ConfigurationManager.AppSettings["Host"].ToString() + "/skin/app/default/static/images/default.jpg";
        #region 数据库结构
        public static Dictionary<string, Dictionary<string, string>> dbTables = new Dictionary<string, Dictionary<string, string>>();
        public static Dictionary<string, Dictionary<string, string>> mainTables = new Dictionary<string, Dictionary<string, string>>();
        public static Dictionary<string, Dictionary<string, string>> opTables = new Dictionary<string, Dictionary<string, string>>();

        #endregion
    }
}